php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #4469 "--with-oci8" conflicted with "--with-ldap"
Submitted: 2000-05-16 15:34 UTC Modified: 2000-07-23 10:12 UTC
From: zilong99 at 263 dot net Assigned:
Status: Closed Package: LDAP related
PHP Version: 4.0 Release Candidate 2 OS: Redhat6.0
Private report: No CVE-ID: None
 [2000-05-16 15:34 UTC] zilong99 at 263 dot net
  When i build apache plus php4.0rc2 i find that "--with-oci8" conflicted with "--with-ldap".

  My pc os is "redhat6.0". I install oracle8.1.5(i have rebuilt the system kenel because oracle need) and openldap1.2.9 in it. Oracle and openldap already run in my computer and then i build apache(1.3.11) plus php4.0RC2 and meet the following problem:

(1)apache1.3.11, php4.0RC2, oracle8.1.5, openldap1.2.9
./configure \
--prefix=/usr/local/httpd \
--with-apache=/usr/local/apache_1.3.11 \
--with-oci8=/u01/app/oracle/product/8.1.5 \
--with-ldap=/usr/local \
--enable-track-vars \
--disable-debug

It build successfully but i can not connect to openldap server in my php script file.

(2)apache1.3.11, php4.0RC2, oracle8.1.5, openldap1.2.9
./configure \
--prefix=/usr/local/httpd \
--with-apache=/usr/local/apache_1.3.11 \
--with-ldap=/usr/local \
--enable-track-vars \
--disable-debug

It build successfully and i successfully connect to openldap server in my php script file.

(3)apache1.3.11, php3.0.16, oracle8.1.5, openldap1.2.9
./configure \
--prefix=/usr/local/httpd \
--with-apache=/usr/local/apache_1.3.11 \
--with-oci8=/u01/app/oracle/product/8.1.5 \
--with-ldap=/usr/local \
--enable-track-vars \
--disable-debug

It build successfully and i successfully connect to openldap server in my php script file.

(4)apache1.3.11, php4.0RC1, oracle8.1.5, openldap1.2.9
./configure \
--prefix=/usr/local/httpd \
--with-apache=/usr/local/apache_1.3.11 \
--with-oci8=/u01/app/oracle/product/8.1.5 \
--with-ldap=/usr/local \
--enable-track-vars \
--disable-debug

It build successfully but i still can not connect to openldap server in my php script file.

(5)apache1.3.11, php3.0.14, oracle8.1.5, openldap1.2.9
./configure \
--prefix=/usr/local/httpd \
--with-apache=/usr/local/apache_1.3.11 \
--with-oci8=/u01/app/oracle/product/8.1.5 \
--with-ldap=/usr/local \
--enable-track-vars \
--disable-debug

It build successfully and i also successfully connect to openldap server in my php script file.

The test php script file's content is:
<?php
echo "Connecting Ldap...";
$ds=ldap_connect("192.168.0.103");  

if ($ds) { 
    echo "connect result is ".$ds."\n";
} else {
    echo "Unable to connect to LDAP server";
}
?>

According the above i draw a conclusion that in php4.0 "--with-oci8" reconflicts with "--with-ldap"(at least for openldap1.2.9)!

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-06-06 23:28 UTC] amitay at cvs dot php dot net
The problem goes away if you give --enable-versioning option to 
configure. Then you can connect to LDAP directory.

 [2000-07-04 07:15 UTC] zilong99 at 263 dot net
  "The problem goes away if you give --enable-versioning option to configure. Then you can connect to LDAP directory." It doesn't work :(

  XXB(xiangxb@itc.com.cn) told me a method that solves the problem:
  put -lldap -llber before -lclntsh in LIBS1 of apache_1.3.12/src/Makefile and apache_1.3.12/src/modules/php4/Makefile.

  It's that 
LIBS1=  -Wl,-rpath,/usr/local/openldap/lib -Wl,-rpath,
/usr/local/oracle/u01/app/oracle/product/8.1.5/lib
-rdynamic -L/usr/local/openldap/lib 
-L/usr/local/oracle/u01/app/oracle/product/8.1.5/lib 
-Lmodules/php4 -L../modules/php4 
-L../../modules/php4 -lmodphp4  -lgdbm -lpam  -ldl -lldap -llber -lclntsh -lpthread -lm -lgd -lresolv -lm -ldl 
-lcrypt -lnsl  -lresolv -lm -lcrypt

 [2000-07-22 14:58 UTC] sniper at cvs dot php dot net
Have you tried to change the link order? See Url below.

http://marc.theaimsgroup.com/?l=php-dev&m=96331527717951&w=2

--Jani
 [2000-07-23 10:12 UTC] zilong99 at 263 dot net
i have resolved the problem :)
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu Dec 09 14:03:33 2021 UTC